Skip to content

FreeType » Docs » Core API » Other API Data

# Other API Data

## Synopsis

Other structures, enumerations, and macros. Deprecated functions are also listed here.

## FT_Face_Internal

Defined in FT_FREETYPE_H (freetype/freetype.h).

      typedef struct FT_Face_InternalRec_*  FT_Face_Internal;

An opaque handle to an `FT_Face_InternalRec` structure that models the private data of a given `FT_Face` object.

This structure might change between releases of FreeType 2 and is not generally available to client applications.

## FT_Size_Internal

Defined in FT_FREETYPE_H (freetype/freetype.h).

      typedef struct FT_Size_InternalRec_*  FT_Size_Internal;

An opaque handle to an `FT_Size_InternalRec` structure, used to model private data of a given `FT_Size` object.

## FT_Slot_Internal

Defined in FT_FREETYPE_H (freetype/freetype.h).

      typedef struct FT_Slot_InternalRec_*  FT_Slot_Internal;

An opaque handle to an `FT_Slot_InternalRec` structure, used to model private data of a given `FT_GlyphSlot` object.

## FT_SubGlyph

Defined in FT_FREETYPE_H (freetype/freetype.h).

      typedef struct FT_SubGlyphRec_*  FT_SubGlyph;

The subglyph structure is an internal object used to describe subglyphs (for example, in the case of composites).

#### note

The subglyph implementation is not part of the high-level API, hence the forward structure declaration.

You can however retrieve subglyph information with `FT_Get_SubGlyph_Info`.

## FT_HAS_FAST_GLYPHS

Defined in FT_FREETYPE_H (freetype/freetype.h).

    #define FT_HAS_FAST_GLYPHS( face )  0

Deprecated.

## FT_Face_CheckTrueTypePatents

Defined in FT_FREETYPE_H (freetype/freetype.h).

      FT_EXPORT( FT_Bool )
      FT_Face_CheckTrueTypePatents( FT_Face  face );

Deprecated, does nothing.

#### input

face | A face handle.

#### return

Always returns false.

#### note

Since May 2010, TrueType hinting is no longer patented.

#### since

2.3.5

## FT_Face_SetUnpatentedHinting

Defined in FT_FREETYPE_H (freetype/freetype.h).

      FT_EXPORT( FT_Bool )
      FT_Face_SetUnpatentedHinting( FT_Face  face,
                                    FT_Bool  value );

Deprecated, does nothing.

#### input

face | A face handle.
value | New boolean setting.

#### return

Always returns false.

#### note

Since May 2010, TrueType hinting is no longer patented.

#### since

2.3.5